#include <xdkbibtex/file.h>
#include <xdkbibtex/formatter.h>
#include "argstream.h"

#include <iostream>
#include <fstream>
#include <deque>
#include <vector>

using namespace std;
using namespace xdkbib;

int
main(int argc,char** argv)
{
  deque<string> files;
  argstream as(argc,argv);
  bool output;
  as>>values<string>(back_inserter(files),"files to parse",1)
    >>option('o',"output",output,"outputs the file on stdout")
    >>help();
  as.defaultErrorHandling();
  try
  {
    File bibFile;
    bibFile.readFromFile(files.back(),File::StrictQuote);
    cout<<"found "<<bibFile.entries().size()<<" entries"<<endl;
    if (output) cout<<format<BibTeX>(bibFile)<<flush;
  }
  catch (parsing_error& e)
  {
    cerr<<"[Parsing error] "<<e.what()<<endl;
  }
}


